Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io.pof
Class ConfigurablePofContext.PofConfig

`java.lang.Object
com.tangosol.io.pof.ConfigurablePofContext.PofConfig`

Enclosing class:
  ConfigurablePofContext

      protected static class ConfigurablePofContext.PofConfig

extends java.lang.Object

The information related to the configuration of a particular PofContext for a specific URI and ClassLoader.

Field Summary
`java.lang.Class[]` | `m_aClzByTypeId` An array of user type classes, indexed by type identifier.
`PofSerializer[]` | `m_aserByTypeId` An array of PofSerializer objects, indexed by type identifier.
`boolean` | `m_fInterfaceAllowed` True iff an interface name is acceptable in the configuration as the class of a user type.
`boolean` | `m_fSubclassAllowed` True iff serialization of sub-classes is explicitly enabled.
`java.util.Map` | `m_mapTypeIdByClass` Once initialized, this references a thread-safe Map that contains mappings from Java classes to POF type identifiers (wrapped as Integer objects).
`java.util.Map` | `m_mapTypeIdByClassName` Once initialized, this references a thread-safe Map that contains mappings from Java class names to POF type identifiers (wrapped as Integer objects).
`XmlElement` | `m_xml` The XML configuration, if supplied by constructor, or by the XmlConfigurable interface.

Constructor Summary
`protected` | `ConfigurablePofContext.PofConfig()`

Field Detail

### m_xml

    public XmlElement m_xml

  The XML configuration, if supplied by constructor, or by the XmlConfigurable interface.

### m_mapTypeIdByClass

    public java.util.Map m_mapTypeIdByClass

  Once initialized, this references a thread-safe Map that contains mappings from Java classes to POF type identifiers (wrapped as Integer objects). The initial contents of the Map reflect the configuration, but the contents can increase over time as sub-classes of the contained classes are resolved to type IDs (and those mappings are added).

### m_mapTypeIdByClassName

    public java.util.Map m_mapTypeIdByClassName

  Once initialized, this references a thread-safe Map that contains mappings from Java class names to POF type identifiers (wrapped as Integer objects). The initial contents of the Map reflect the configuration, but the contents can increase over time as the names of sub-classes (i.e. of the classes corresponding to the contained class names) are resolved to type IDs (and those mappings are added).

### m_aClzByTypeId

    public java.lang.Class[] m_aClzByTypeId

  An array of user type classes, indexed by type identifier.

### m_aserByTypeId

    public PofSerializer[] m_aserByTypeId

  An array of PofSerializer objects, indexed by type identifier.

### m_fInterfaceAllowed

    public boolean m_fInterfaceAllowed

  True iff an interface name is acceptable in the configuration as the class of a user type.

### m_fSubclassAllowed

    public boolean m_fSubclassAllowed

  True iff serialization of sub-classes is explicitly enabled.

Constructor Detail

### ConfigurablePofContext.PofConfig

    protected ConfigurablePofContext.PofConfig()

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.